Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 274358 - sci-geosciences/mapnik-0.6.0 has incorrect boost[python] dependency
Summary: sci-geosciences/mapnik-0.6.0 has incorrect boost[python] dependency
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Steve Arnold
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-16 14:35 UTC by Arjen Robbemond
Modified: 2009-06-17 11:47 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arjen Robbemond 2009-06-16 14:35:18 UTC
I'm trying to update from mapnik 0.5.1 to mapnik 0.6.

I updated portage and synched with emerge (emerge --sync).

When i try to pretend a mapnik install i get the following message (same with --deep): 
tst ~ # emerge -pv mapnik

These are the packages that would be merged, in order:

Calculating dependencies... done!

emerge: there are no ebuilds built with USE flags to satisfy "dev-libs/boost[python]".
!!! One of the following packages is required to complete your request:
- dev-libs/boost-1.35.0-r2 (Missing IUSE: python)
- dev-libs/boost-1.34.1-r2 (Missing IUSE: python)
- dev-libs/boost-1.33.1-r1 (Missing IUSE: python)
(dependency required by "sci-geosciences/mapnik-0.6.0" [ebuild])
(dependency required by "mapnik" [argument])


What i tried is the following:
Update boost 
Didn't work
Updated boost with the following use flags: (dev-libs/boost debug doc expat icu mpi tools python).
Didn't work
Updated boost deep
Didn't work

Im kinda out of options and wouldn't like to build mapnik by hand without a package manager.


Reproducible: Always

Steps to Reproduce:
1. emerge mapnik
Actual Results:  
Calculating dependencies... done!

emerge: there are no ebuilds built with USE flags to satisfy "dev-libs/boost[python]".
!!! One of the following packages is required to complete your request:
- dev-libs/boost-1.35.0-r2 (Missing IUSE: python)
- dev-libs/boost-1.34.1-r2 (Missing IUSE: python)
- dev-libs/boost-1.33.1-r1 (Missing IUSE: python)
(dependency required by "sci-geosciences/mapnik-0.6.0" [ebuild])
(dependency required by "mapnik" [argument])

Expected Results:  
Installation of mapnik

My emerge --info

tst ~ # emerge --info
Portage 2.1.6.13 (default/linux/x86/2008.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.22-gentoo-r5 i686)
=================================================================
System uname: Linux-2.6.22-gentoo-r5-i686-Intel-R-_Xeon-TM-_CPU_3.20GHz-with-glibc2.0
Timestamp of tree: Tue, 16 Jun 2009 08:45:02 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7, 2.1.6-r1
dev-lang/python:     2.4.4-r9, 2.5.4-r2
dev-python/pycrypto: 2.0.1-r6
dev-util/cmake:      2.6.2-r1
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.63
sys-devel/automake:  1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://ftp.snt.utwente.nl/pub/os/linux/gentoo ftp://ftp.snt.utwente.nl/pub/os/linux/gentoo ftp://mirror.scarlet-internet.nl/pub/gentoo http://gentoo.tiscali.nl/ ftp://gentoo.tiscali.nl/pub/mirror/gentoo/ http://mirror.muntinternet.net/pub/gentoo/ ftp://mirror.muntinternet.net/pub/gentoo/ "
LDFLAGS="-Wl,-O1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="acl berkdb bzip2 cli cracklib crypt cups dri fortran gdbm gpm iconv ipv6 isdnlog midi mudflap ncurses nls nptl nptlonly openmp pam pcre perl pppd python readline reflection session spl ssl sysfs tcpd unicode x86 xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="fbdev glint i810 intel mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa vga via vmware voodoo"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 1 Arjen Robbemond 2009-06-16 14:36:27 UTC
Portage 2.1.6.13 (default/linux/x86/2008.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.22-gentoo-r5 i686)
=================================================================
System uname: Linux-2.6.22-gentoo-r5-i686-Intel-R-_Xeon-TM-_CPU_3.20GHz-with-glibc2.0
Timestamp of tree: Tue, 16 Jun 2009 08:45:02 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7, 2.1.6-r1
dev-lang/python:     2.4.4-r9, 2.5.4-r2
dev-python/pycrypto: 2.0.1-r6
dev-util/cmake:      2.6.2-r1
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.63
sys-devel/automake:  1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://ftp.snt.utwente.nl/pub/os/linux/gentoo ftp://ftp.snt.utwente.nl/pub/os/linux/gentoo ftp://mirror.scarlet-internet.nl/pub/gentoo http://gentoo.tiscali.nl/ ftp://gentoo.tiscali.nl/pub/mirror/gentoo/ http://mirror.muntinternet.net/pub/gentoo/ ftp://mirror.muntinternet.net/pub/gentoo/ "
LDFLAGS="-Wl,-O1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="acl berkdb bzip2 cli cracklib crypt cups dri fortran gdbm gpm iconv ipv6 isdnlog midi mudflap ncurses nls nptl nptlonly openmp pam pcre perl pppd python readline reflection session spl ssl sysfs tcpd unicode x86 xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="fbdev glint i810 intel mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa vga via vmware voodoo"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 2 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-06-16 14:41:02 UTC
You need the unstable version of boost because that is where the python USE flag starts. I would recommend boost-1.35.0-r5 and its deps (eselect-boost).
Comment 3 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-06-16 14:45:52 UTC
Steve, please set the boost version explicitly because not all versions of boost have the python USE flag. This leads to confusing error messages that can easily be avoided. thx
Comment 4 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-06-16 14:47:53 UTC
(In reply to comment #3)
> Steve, please set the boost version explicitly because not all versions of
> boost have the python USE flag. This leads to confusing error messages that can
> easily be avoided. thx
> 

Helps if I assign it.
Comment 5 Tupone Alfredo gentoo-dev 2009-06-17 07:04:11 UTC
Well, is not really a bug. Maybe emerge diagnostic should be fixed :)

However is, it is fixed now in the tree.

Thanks
Comment 6 Arjen Robbemond 2009-06-17 08:56:09 UTC
When i try the suggestion to install boost boost-1.35.0-r5 i get another error.
Probably not related to the mapnik problem....?
The package.keyword line i added is:
=dev-libs/boost-1.35.0-r5 ~x86

Logfile is here:
http://www.arjenrobbemond.nl/build.log.txt

>>> Compiling source in /var/tmp/portage/dev-libs/boost-1.35.0-r5/work/boost_1_35_0 ...
 * Using the following options to build:
 *    --without-mpi --user-config=/var/tmp/portage/dev-libs/boost-1.35.0-r5/work/boost_1_35_0/user-config.jam --boost-build=/usr/share/boost-build-1_35 --prefix=/var/tmp/portage/dev-libs/boost-1.35.0-r5/image//usr --layout=versioned
/var/tmp/portage/dev-libs/boost-1.35.0-r5/temp/environment: line 3124: bjam-1_35: command not found
 *
 * ERROR: dev-libs/boost-1.35.0-r5 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 3124:  Called die
 * The specific snippet of code:
 *       ${BJAM} ${NUMJOBS} -q gentoorelease ${OPTIONS} threading=single,multi link=shared,static runtime-link=shared,static || die "building boost failed";
 *  The die message:
 *   building boost failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/dev-libs/boost-1.35.0-r5/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-libs/boost-1.35.0-r5/temp/environment'.
Comment 7 Arjen Robbemond 2009-06-17 11:47:55 UTC
I solved my problem by reinstalling using:
dev-libs/boost-1.37.0-r1